%define release	5mdk
%define version	0.2.4
%define url 	http://prdownloads.sourceforge.net/dav/

Summary:	Web-based Distributed Authoring and Versioning
Name:		davfs
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		%{url}
Source0:	http://prdownloads.sourceforge.net/dav/%{name}-%{version}.tar.bz2
Patch0:		davfs-path.patch.bz2
Patch1:		davfs-is_socket_ready.patch.bz2
Patch2:		davfs-mount_autofs.patch.bz2
Patch3:		davfs-0.2.4-mount_options.patch.bz2
Patch4:		davfs-0.2.4-mount_passwd_pipe.patch.bz2
Patch5:		davfs-0.2.4-dont-build-module-davfs.patch.bz2
Patch6:		davfs-0.2.4-do-not-explictly-insmod-davfs.patch.bz2
Group:		Networking/Other
Provides:	davfs
Requires:	kernel >= 2.4.18
BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRoot: 	%{_tmppath}/%{name}-root

%description
WebDAV is an acronym for Web-based Distributed Authoring and Version-
ing. Usually http is a read only protocol, but if you install DAV on
your web server, it becomes writable. Furthermore, if you use DAVfs,
you can mount your web server onto your filesystem and can use it as a
normal disk.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{configure} --with-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/sbin}

%makeinstall_std
ln -sf ..%{_sbindir}/mount.davfs ${RPM_BUILD_ROOT}/sbin/mount.davfs 

gzip -9nf ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.gz doc/*.html
/sbin/*
%{_sbindir}/*

%changelog
* Wed Aug 28 2002 Pixel <pixel@mandrakesoft.com> 0.2.4-5mdk
- do not explictly insmod davfs since it's not needed. it doesn't fix mounting as user though :-/

* Tue Aug 13 2002 Pixel <pixel@mandrakesoft.com> 0.2.4-4mdk
- drop mount.dav (not useful)
- cleanup spec
- patch3: rename option "user=xxx" to "username=xxx" and "pass=xxx" to "password=xxx"

* Thu Aug  01 2002 Nicolas Planel <nplanel@mandrakesoft.com> 0.2.4-3mdk
- Fix password ask when user parameter is used
- Add file descriptor password reader

* Wed Jul  31 2002 Nicolas Planel <nplanel@mandrakesoft.com> 0.2.4-2mdk
- Add mount.davfs options
- Add symbolic link /sbin/mount.dav

* Tue Jul  23 2002 Nicolas Planel <nplanel@mandrakesoft.com> 0.2.4-1mdk
- Generate spec for Mandrake Linux 
- Enable autofs support
